Loading...
Searching...
No Matches
bsoncxx::document Namespace Reference

## Description

Declares entities representing a BSON document.

## Classes

class | element
| A variant view type that accesses values in serialized BSON documents. More...
class | value
| A read-only BSON document that owns its underlying buffer. More...
class | view
| A read-only, non-owning view of a BSON document. More...

## Typedefs

using | view_or_value
| Equivalent to v_noabi::view_or_value<v_noabi::document::view, v_noabi::document::value>.

## Functions

bool | operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.

## Typedef Documentation

## view_or_value

using bsoncxx::v_noabi::document::view_or_value

Equivalent to v_noabi::view_or_value<v_noabi::document::view, v_noabi::document::value>.

## Function Documentation

## operator==() [1/2]

bool operator== | ( | element const & | lhs,
|  | v_noabi::types::bson_value::view const & | rhs )

Convenience methods to compare for equality against a bson_value.

Compares equal if the element contains a matching bson_value. Otherwise, compares unequal.

## operator==() [2/2]

bool operator== | ( | element const & | lhs,
|  | v_noabi::types::bson_value::view const & | rhs )

Convenience methods to compare for equality against a bson_value.

Compares equal if the element contains a matching bson_value. Otherwise, compares unequal.